[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringList.Destroy

Destroys the stringlist.

## Declaration

Source position: classesh.inc line 854

`public destructor TStringList.Destroy; override;`

## Description

Destroy clears the stringlist, release all memory allocated for the storage of the strings, and then calls the inherited destroy method.

Remark: | Any objects associated to strings in the list will not be destroyed; it is the responsibility of the caller to destroy all objects associated with strings in the list.